Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359476 - large document display problem, all text becomes black
Summary: large document display problem, all text becomes black
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-24 03:28 UTC by Chris Murphy
Modified: 2018-04-23 15:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:50:15 UTC


Attachments (Terms of Use)
screenshot gedit not in focus (deleted)
2016-07-24 03:31 UTC, Chris Murphy
no flags Details
screenshot gedit not in focus higlight (deleted)
2016-07-24 03:33 UTC, Chris Murphy
no flags Details
screenshot gedit in focus (deleted)
2016-07-24 03:36 UTC, Chris Murphy
no flags Details
strace gedit (deleted)
2016-07-24 03:38 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2016-07-24 03:28:14 UTC
Description of problem:

I have an 81MB text document to open in gedit, which takes a lot of CPU and time to open, more than a minute for the blue "Loading" status, and this is on an SSD. After that, it looks like it's still rendering the document, the scrollbar thumbnail is climbing still, and CPU remains pegged at 100%.

I don't know what triggers it but all text becomes black. See screen shots. It seems to be some combination of clicking between gedit and other applications, and clicking in the document body. Once it happens, I can't see the text and can't undo the problem. Basically the program is unusable for documents of this size.


Version-Release number of selected component (if applicable):
gedit-3.20.2-1.fc24.x86_64

How reproducible:
I can always eventually reproduce it, but I'm still not sure of the exact steps to reproduce.

Steps to Reproduce:
1. Open 81MB text document. This one is created using btrfs-debug-tree and outputting to a file.
2. Open in gedit
3. Some combination of clicking other applications to make them active, and then back to gedit, clicking in the document itself or on the scroll bar.

Actual results:

Black text on white background becomes black text on black background when the program is in focus.

When gedit is not in focus once this problem happens, it's dark gray text on black background. If I highlight the text, it appears white with blue highlighting (normal).



Expected results:

The text should remain black on white.


Additional info:

Comment 1 Chris Murphy 2016-07-24 03:31:17 UTC
Created attachment 1183273 [details]
screenshot gedit not in focus

Gedit not in focus, shows dark gray text on black background. It should be black text on white background.

Comment 2 Chris Murphy 2016-07-24 03:33:07 UTC
Created attachment 1183274 [details]
screenshot gedit not in focus higlight

Highlighted some text on the black on black page, then made gedit no longer in focus.

Comment 3 Chris Murphy 2016-07-24 03:36:24 UTC
Created attachment 1183275 [details]
screenshot gedit in focus

This is what it looks like when in focus. Black on black. Showing document statistics.

Comment 4 Chris Murphy 2016-07-24 03:38:05 UTC
Created attachment 1183276 [details]
strace gedit

Strace was attached while gedit was thinking about stuff, and I'd clicked on the windows and it turned black. So somewhere buried in this strace, maybe, is some evidence of why/how it's turning the background black.

Comment 5 Chris Murphy 2016-07-24 19:56:33 UTC
Another user can reproduce this problem.
ttps://lists.fedoraproject.org/archives/list/users@lists.fedoraproject.org/message/AF7LNKPWEST7QXWOGSHYP7ROX3KB2VK3

Comment 6 Fedora End Of Life 2017-07-25 22:00:39 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-08-08 15:50:15 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Andreas Kupfer 2018-04-23 15:10:49 UTC
I still have the same issue in Fedora 27.


Note You need to log in before you can comment on or make changes to this bug.